Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## motorsWrite()

#### Description

Controls the speed and direction of the two motors connected to the robot's wheels. `motorsWrite()` needs values between -255 and 255. If the value is greater than 0, the wheel turns forward. If less than 0, the motor turns backwards.

#### Syntax

Robot.motorsWrite(speedLeft, speedRight)

#### Parameters

- speedLeft: the speed of left wheel
- speedRight: the speed of right wheel

#### Returns

none

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
}
void loop(){
Robot.motorsWrite(255,255); //Make the robot go forward, full speed
delay(1000);
Robot.motorsWrite(0,0); //Make the robot stop
delay(1000);
Robot.motorsWrite(255,-255);//Make the robot rotate right, full speed
delay(1000);
Robot.motorsWrite(0,0); //Make the robot stop
delay(1000);
}
[Get Code]

#### See also

- motorsStop()
- turn()
- pointTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers